=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2011-05-20 13:28:35 +0000
+++ bzrlib/branch.py	2011-05-20 15:12:32 +0000
@@ -777,7 +777,7 @@
         configured to check constraints on history, in which case this may not
         be permitted.
         """
-        raise NotImplementedError(self.last_revision_info)
+        raise NotImplementedError(self.set_last_revision_info)
 
     @needs_write_lock
     def generate_revision_history(self, revision_id, last_rev=None,

=== modified file 'bzrlib/errors.py'
--- bzrlib/errors.py	2011-05-20 12:37:24 +0000
+++ bzrlib/errors.py	2011-05-20 15:12:32 +0000
@@ -304,7 +304,7 @@
 class RootMissing(InternalBzrError):
 
     _fmt = ("The root entry of a tree must be the first entry supplied to "
-        "record_entry_contents.")
+        "the commit builder.")
 
 
 class NoPublicBranch(BzrError):

=== modified file 'bzrlib/tree.py'
--- bzrlib/tree.py	2011-05-19 09:32:38 +0000
+++ bzrlib/tree.py	2011-05-20 15:12:32 +0000
@@ -296,12 +296,13 @@
         """
         return osutils.split_lines(self.get_file_text(file_id, path))
 
-    def get_file_sha1(self, file_id, path=None):
+    def get_file_sha1(self, file_id, path=None, stat_value=None):
         """Return the SHA1 file for a file.
 
         :param file_id: The handle for this file.
         :param path: The path that this file can be found at.
             These must point to the same object.
+        :param stat_value: Optional stat value for the object
         """
         raise NotImplementedError(self.get_file_sha1)
 

